Core - Task # 43184

Epic # 55575 (Accepted): Streamline JavaScript Code in the TYPO3 Backend

Status: Resolved Priority: Should have

Author: Stefan Neufeind Category: Language Manager (backend)
Created: 2012-11-21 Assigned To: Stefan Neufeind

Updated: 2014-02-02 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity:

Sprint Focus:

Subject: Use central jQuery

Description

As with the extension-manager in #42197 also the lang-module should use the central jQuery in the contrib-dir. Just use loadJquery()
for that.

Related issues:

related to Core - Task # 42197: Use central jQuery Resolved 2012-10-20
related to Core - Task # 52442: Centralize jQuery libraries Resolved 2013-10-01
related to Core - Task # 43186: Use minimised version of jquery.dataTables-1.9.4 Closed 2012-11-21
History

#1 - 2012-11-21 01:18 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/16650

#2 - 2013-02-17 17:06 - Jigal van Hemert

During the development of 6.0 (rather in the beginning) it was requested to bring jQuery into the core. Because we didn't want to break the record of
the CMS with the most JS frameworks it was agreed that prototype/scriptaculous had to go. Also, there had to be a good API for including parts of
jQuery and for version management.

Both requirements were not met and as a result the EM uses its own jQuery lib.

Please make issues for these tasks and only use the central jQuery library after finishing the other tasks.

#3 - 2013-03-27 15:23 - Oliver Hader

- Target version set to 2222

#4 - 2013-03-27 15:23 - Oliver Hader
- Project changed from Language Handling to Core

#5 - 2013-03-27 15:28 - Oliver Hader
- Category set to Language Manager (backend)

#6 - 2013-03-27 15:28 - Oliver Hader
- Target version deleted (2222)
http://review.typo3.org/16650

#7 - 2014-02-02 11:16 - Daniel Siepmann
- Parent task set to #55575

- TYPOS3 Version set to 6.2

#8 - 2014-02-02 12:53 - Stefan Neufeind

- Status changed from New to Resolved

Already resolved.
